package SwitchToArrayData;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.DbData;
import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class SwitchToArrayData extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SwitchToArrayData report = new SwitchToArrayData();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSwitchToArrayData(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSwitchToArrayData(this));
	}

	Component doSwitchToArrayData(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		String[] dataTypes = { "String", "String", "double", "int" };
		String[] colNames = { "Category", "Product", "Unit Price", "Volume" };
		String[][] records = { { "Table", "Double Ended", "254.99", "32" },
				{ "Table", "Glass", "125.99", "56" },
				{ "Chair", "Wood", "54.00", "87" },
				{ "Chair", "Moraccon", "87.99", "65" },
				{ "Dresser", "Double", "189.99", "32" } };

		DbData newData = new DbData(dataTypes, colNames, records);

		// Open the template with backup data
		QbReport report = new QbReport(parent, // container 
				"SwitchToArrayData.rpt", // template
				false, false, false, true);

		try {
			// Switch data source
			report.getInputData().setData(newData);

			// Refresh report
			report.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
